Subject: Re: [mpls] wg last call on ethernet-addressing drafts

From: Stewart Bryant <[email-masked]>
Date: Mon, 22 Oct 2012 16:43:41 +0100

On 11/06/2012 09:55, Lizhong Jin wrote:
>
> Hi authors,
> I review draft-ietf-mpls-tp-ethernet-addressing, and have two comments:
> 1. When advertising the MAC address in "Ethernet Interface Parameters" 
> ADB, I think Interface Identifier TLV in "G-ACh Advertisement 
> Protocol" ADB should also be carried. Is there any required 
> relationship of "Lifetime" in the two ADBs, should be same?
It is not required to carry the identifier, since that identifier is not 
required by MPLS_TP.

The protocol requires that you refresh the announcement, if you are 
going to carry the SA and the MAC in the same message it would make 
sense to give them the same lifetime, but the rule (clearly stated in 
the draft) is that you must refresh before information is expired, so as 
long as you refresh on the lower of the two you are OK, and it is not 
harmful to have them set differently if that makes sense in the 
particular application.

> 2. For the "Ethernet Interface Parameters" application, is it allowed 
> to apply GAP Request, Flush or Suppress message specified in 
> [I-D.ietf-mpls-gach-adv]? E.g, to use GAP Request to request MAC address.
Yes if it makes sense in your application. I can see that you might for 
example suppress the MAC address refresh and rely on your peer to 
over-ride the request if the address changed.

I am not sure why this needs clarification since the Ethernet draft 
inherits the rules of the GAP protocol.

- Stewart

>
> Hope to be more clear in Section 4.
>
> Thanks
> Lizhong
>
>
> > ----------------------------------------------------------------------
> >
> > Message: 1
> > Date: Wed, 30 May 2012 04:59:31 +0200
> > From: Loa Andersson <[email-masked]>
> > To: "[email-masked]" <[email-masked]>,    MPLS-TP ad hoc team
> >    <[email-masked]>
> > Subject: [mpls] wg last call  on gach-adv and ethernet-addressing
> >    drafts
> > Message-ID: <[email-masked]>
> > Content-Type: text/plain; charset=ISO-8859-1; format=flowed
> >
> > Working Group,
> >
> >
> > This is to start a two week working group last call on two drafts:
> >
> > - draft-ietf-mpls-gach-adv-02; and
> > - draft-ietf-mpls-tp-ethernet-addressing-01
> >
> > Please send comments to the mpls working group list.
> >
> > The working group last call ends June 15, 2012.
> >
> >
> > Thanks, Loa
> >
> > (as MPLS WG co-chair)
> >
> > --
> >
> >
> > Loa Andersson         email: [email-masked]
> > Sr Strategy and Standards Manager  [email-masked]
> > Ericsson Inc          phone: +46 10 717 52 13
> >     +46 767 72 92 13
> >
> >
>
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Lizhong Jin<[email-masked]>
Date: Tue, 23 Oct 2012 10:32:37 +0800

Hi Stewart,
Please see inline below.

Thanks
Lizhong

Stewart Bryant <[email-masked]> wrote 2012/10/22 23:43:41:

> 1. When advertising the MAC address in "Ethernet Interface 
> Parameters" ADB, I think Interface Identifier TLV in "G-ACh 
> Advertisement Protocol" ADB should also be carried. Is there any 
> required relationship of "Lifetime" in the two ADBs, should be same? 
> 
> It is not required to carry the identifier, since that identifier is
> not required by MPLS_TP.
> sense to give them the same lifetime, but the rule (clearly stated 
> in the draft) is that you must refresh before information is 
> expired, so as long as you refresh on the lower of the two you are 
> OK, and it is not harmful to have them set differently if that makes
> sense in the particular application.
[Lizhong] clear, thanks.

> 2. For the "Ethernet Interface Parameters" application, is it 
> allowed to apply GAP Request, Flush or Suppress message specified in
> Yes if it makes sense in your application. I can see that you might 
> for example suppress the MAC address refresh and rely on your peer 
> to over-ride the request if the address changed.
> 
[Lizhong] in section 4, all the description is for application "0x0001", 
while the request/suppress message in [I-D.ietf-mpls-gach-adv] is for 
application "0x0000". 
e.g, "This document defines a new GAP application, "Ethernet Interface 
Parameters", to support the advertisement of Ethernet-specific parameters 
associated with the sending interface."
It seems the procedure in section 4 only inherits the GAP message, but not 
GAP application "0x0000". It would be good have some description to say, 
the GAP application "0x0000" could be also applied to this draft.